<template>
  <v-main>
    <v-container>
      <v-row>
        <v-col :cols="$route.meta.left ? 3 : 9">
          <Component
            :is="$route.meta.extendedComponent"
            v-if="$route.meta.left"
          />
          <router-view v-else />
        </v-col>
        <v-col :cols="$route.meta.left ? 9 : 3">
          <Component
            :is="$route.meta.extendedComponent"
            v-if="!$route.meta.left"
            :cols="!$route.meta.left ? '3' : null"
          />
          <router-view v-else />
        </v-col>
      </v-row>
    </v-container>
  </v-main>
</template>
<script setup></script>
